Package opennlp.tools.cmdline.namefind

# Class NameEvaluationErrorListener

java.lang.Object
opennlp.tools.cmdline.EvaluationErrorPrinter<opennlp.tools.namefind.NameSample>
opennlp.tools.cmdline.namefind.NameEvaluationErrorListener

All Implemented Interfaces:
  `opennlp.tools.namefind.TokenNameFinderEvaluationMonitor`, `opennlp.tools.util.eval.EvaluationMonitor<opennlp.tools.namefind.NameSample>`

public class NameEvaluationErrorListener extends opennlp.tools.cmdline.EvaluationErrorPrinter<opennlp.tools.namefind.NameSample> implements opennlp.tools.namefind.TokenNameFinderEvaluationMonitor
A default implementation of `EvaluationMonitor` that prints to an output stream.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NameEvaluationErrorListener()`
  Creates a listener that will print to the configured `logger`.
  `NameEvaluationErrorListener(OutputStream outputStream)`
  Creates a listener that will print to a given `OutputStream`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `misclassified(opennlp.tools.namefind.NameSample reference, opennlp.tools.namefind.NameSample prediction)`

  ### Methods inherited from class opennlp.tools.cmdline.EvaluationErrorPrinter

  `correctlyClassified`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface opennlp.tools.util.eval.EvaluationMonitor

  `correctlyClassified`

- ## Constructor Details

  - ### NameEvaluationErrorListener

    public NameEvaluationErrorListener()
    Creates a listener that will print to the configured `logger`.

  - ### NameEvaluationErrorListener

    public NameEvaluationErrorListener(OutputStream outputStream)
    Creates a listener that will print to a given `OutputStream`.

- ## Method Details

  - ### misclassified

    public void misclassified(opennlp.tools.namefind.NameSample reference, opennlp.tools.namefind.NameSample prediction)
    Specified by:
      `misclassified` in interface `opennlp.tools.util.eval.EvaluationMonitor<opennlp.tools.namefind.NameSample>`
    Specified by:
      `misclassified` in class `opennlp.tools.cmdline.EvaluationErrorPrinter<opennlp.tools.namefind.NameSample>`